
QGIS Application - Bug report #21149

3.4.3-Madeira Crashing on closing 

2019-02-01 04:03 PM - Chris Dainton

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.4.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 28967

Description

User Feedback

crashed on closing QGIS

Report Details

Crash ID: 62f1fcd2045780cb9f127836e6b579b8665f3e63

Stack Trace

proj_lpz_dist :

proj_lpz_dist :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::QgsCoordinateTransform :

QHashData::free_helper :

QgsCoordinateTransform::addToCache :

QgsCoordinateTransform::invalidateCache :

QgsApplication::exitQgis :

QgisApp::~QgisApp :

CPLStringList::operator[] :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.3-Madeira

QGIS code revision: commit:2f64a3c4e7

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Duplicates QGIS Application - Bug report # 20283: Crash when exiting program ... Reopened 2018-10-30

History

#1 - 2019-02-01 04:04 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes
- Priority changed from Normal to High

- Status changed from Open to Feedback

- Category changed from Actions to Unknown

Please try 3.4.4 and also try using a new/clean profile (no 3rd party plugins installed).

#2 - 2019-02-01 11:59 PM - Jürgen Fischer

- Duplicates Bug report #20283: Crash when exiting program [proj_lpz_dist] added

#3 - 2019-02-02 12:00 AM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to duplicate
